        !COMPILER-GENERATED INTERFACE MODULE: Thu Nov 13 16:37:32 2014
        MODULE AMED__genmod
          INTERFACE 
            FUNCTION AMED(Y2,Y1,X2,X1,X) RESULT(AMED_0)
              REAL(KIND=4) :: Y2
              REAL(KIND=4) :: Y1
              REAL(KIND=4) :: X2
              REAL(KIND=4) :: X1
              REAL(KIND=4) :: X
              REAL(KIND=4) :: AMED_0
            END FUNCTION AMED
          END INTERFACE 
        END MODULE AMED__genmod
